#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2024-07-10
# File  : vsphere_topo/graphing/packages.py

from cmk.graphing.v1 import Title
from cmk.graphing.v1.graphs import Graph
from cmk.graphing.v1.metrics import Color, Metric, Unit, TimeNotation, AutoPrecision
from cmk.graphing.v1.perfometers import Closed, FocusRange, Open, Perfometer

metric_vsphere_topo_time_taken = Metric(
    name='vsphere_topo_time_taken',
    title=Title('Time taken'),
    unit=Unit(TimeNotation(), AutoPrecision(4)),
    color=Color.BLUE,
)

graph_vsphere_topo_time_taken = Graph(
    name='vsphere_topo_time_taken',
    title=Title('Time taken'),
    compound_lines=['vsphere_topo_time_taken'],
)

perfometer_vsphere_topo_time_taken = Perfometer(
    name='vsphere_topo_time_taken',
    focus_range=FocusRange(Closed(0), Open(1)),
    segments=['vsphere_topo_time_taken']
)
